Skip to content

Retrieve all document fields and field properties which are common to (shared by) a specified set of documents. This allows you to determine which document fields are eligible for bulk update.

Learn about Shared Fields in Vault Help.

POST/api/{version}/metadata/objects/documents/properties/find_common
NameDescription
Content-Typeapplication/x-www-form-urlencoded
Acceptapplication/json (default) or application/xml
NameDescription
docIdsInput a comma-separated list of document id field values.
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d "docIds=101,102,103" \ https://myvault.veevavault.com/api/v20.1/metadata/objects/documents/properties/find_common
{ "name": "submission_date__c", "scope": "DocumentVersion", "type": "Date", "required": false, "repeating": false, "systemAttribute": false, "editable": true, "setOnCreateOnly": false, "disabled": false, "label": "Submission Date", "section": "submissionDetails", "sectionPosition": 3, "hidden": false, "queryable": true, "shared": true, "usedIn": [ { "key": "promotional_piece__c", "type": "type" }, { "key": "compliance_package__v", "type": "type" }, { "key": "claim__c", "type": "type" } ] } { "name": "withdrawal_effective_date__c", "scope": "DocumentVersion", "type": "Date", "required": false, "repeating": false, "systemAttribute": false, "editable": true, "setOnCreateOnly": false, "disabled": false, "label": "Withdrawal Effective Date", "section": "pieceDetails", "sectionPosition": 17, "hidden": false, "queryable": true, "shared": false, "definedInType": "type", "definedIn": "promotional_piece__c" }

The response includes all fields shared by the three documents (docIds=101,102,103).

Vault allows you to reuse fields across multiple document types by creating shared fields, which exist outside the context of a document type. You can create shared fields or convert existing fields into shared fields in the Vault Admin application. If a shared field is only used in one document type, you can also convert it to a non-shared field. All document fields, except for noCopy, include the Boolean shared document field. A value of true indicates which the field is shared and the following additional fields are included:

Note the following field metadata: